> ## Documentation Index
> Fetch the complete documentation index at: https://docs.osiro.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv2publicfunnelupload



## OpenAPI

````yaml https://api.osiro.com/doc post /api/v2/public/funnel/upload
openapi: 3.0.0
info:
  title: Osiro API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/public/funnel/upload:
    post:
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                blockId:
                  type: string
                organizationId:
                  type: string
              required:
                - file
                - blockId
      responses:
        '201':
          description: File uploaded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FunnelUploadResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '413':
          description: Payload too large
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    FunnelUploadResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            uuid:
              type: string
            name:
              type: string
            size:
              type: number
            mimeType:
              type: string
            storagePath:
              type: string
          required:
            - uuid
            - name
            - size
            - mimeType
            - storagePath
      required:
        - data
    ApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
      required:
        - error

````